Package Details: rfidtool 0.01-1

Git Clone URL: https://aur.archlinux.org/rfidtool.git (read-only)
Package Base: rfidtool
Description: A opensource tool to read / write rfid tags
Upstream URL: http://www.bindshell.net/tools/rfidtool.html
Licenses: GPL
Submitter: None
Maintainer: giovanni
Last Packager: giovanni
Votes: 5
Popularity: 0.000076
First Submitted: 2012-02-19 17:11
Last Updated: 2015-06-09 13:11

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

shtrom commented on 2014-12-05 11:53

Bindshell.net appears to be dead. There appears to be a mirror there [0].

[0] http://devel.japh.se/aur/rfidtool/

paraxor commented on 2013-07-18 22:46

Hi, there are a few errors in your package.

- `gcc` should not be in the dependency list.
- `pkgrel` should be an integer.
- Packages need `package()` functions.
- You should use the application's Makefile.
- The package version is incorrect.
- The install file should not touch `/usr/bin/rfidtool` (`$pkgdir` is empty
when the `post_remove` function is called).

Here's an alternative PKGBUILD file from the BlackArch project. You may use it to
improve your own. https://github.com/BlackArch/blackarch/blob/master/packages/rfidtool/PKGBUILD

Read this please: https://wiki.archlinux.org/index.php/Arch_Packaging_Standards

paraxor commented on 2013-07-18 22:45

Hi, there are a few errors in your package.

- `gcc` should not be in the dependency list.
- `pkgrel` should be an integer.
- Packages need `package()` functions.
- You should use the application's Makefile.
- The package version is incorrect.
- The install file should not touch `/usr/bin/rfidtool` (`$pkgdir` is empty
when the `post_remove` function is called).

Here's an alternative PKGBUILD file from the BlackArch file. You may use it to
improve your own. https://github.com/BlackArch/blackarch/blob/master/packages/rfidtool/PKGBUILD

Read this please: https://wiki.archlinux.org/index.php/Arch_Packaging_Standards

paraxor commented on 2013-07-18 22:43

`gcc` should not be in the dependency list. `pkgrel` should be an integer.
Packages need `package()` functions. You should use the application's makefile
to build. The package version is incorrect. The install file should not touch
`/usr/bin/rfidtool` (`$pkgdir` is empty when the `post_remove` function is
called).

Here's an alternative PKGBUILD file:
https://github.com/BlackArch/blackarch/blob/master/packages/rfidtool/PKGBUILD

Read this please: https://wiki.archlinux.org/index.php/Arch_Packaging_Standards

paraxor commented on 2013-07-18 22:42

`gcc` should not be in the dependency list. `pkgrel` should be an integer. Packages need `package()` functions. You should use the application's makefile to build. The package version is incorrect. The install file should not touch `/usr/bin/rfidtool` (`$pkgdir` is empty when the `post_remove` function is called).

Here's an alternative PKGBUILD file: https://github.com/BlackArch/blackarch/blob/master/packages/rfidtool/PKGBUILD

Read this please: https://wiki.archlinux.org/index.php/Arch_Packaging_Standards

Anonymous comment on 2012-02-21 19:23

Thanks!, i think it's solved :D

Pjer commented on 2012-02-21 14:14

The package build should *never* install files outside the pkgbuild sandbox. This is why this package will fail when it is being built without root privileges. Add $pkgdir in front of the /usr/bin lines and before that mkdir -p $pkgdir/usr/bin in order to create the package properly.

Anonymous comment on 2012-02-19 17:14

I'm a newbie, please tell me if I've done some outrageous with this :)